Get Patient Campaign Targets
curl --request GET \
--url https://api.example.com/api/v1/campaigns/{campaign_id}/patient/targetsimport requests
url = "https://api.example.com/api/v1/campaigns/{campaign_id}/patient/targets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/campaigns/{campaign_id}/patient/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"targets": [
{
"id": "<string>",
"target_url": "<string>",
"organization_id": "<string>",
"campaign_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_minutes": 123,
"input_data": {},
"output_data": {},
"status": "Pending",
"resolution": "retrieved",
"category": "GOOD",
"subcategory": "PROVIDER",
"call_log_ids": [
123
],
"last_call_date": "2023-11-07T05:31:56Z",
"phone_number": "<string>",
"fax_links": [
"<string>"
],
"payor_api_data": {},
"external_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"retries": 123,
"scheduled_time": "2023-11-07T05:31:56Z",
"categorization": {},
"outcome": "<string>",
"statistics": {}
}
],
"page_count": 123,
"next_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Get Patient Campaign Targets
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
patient
/
targets
Get Patient Campaign Targets
Path Parameters
The ID of the campaign.
Query Parameters
The page number to get.
Required range:
x >= 0The number of targets per page.
Required range:
1 <= x <= 100The status of the targets to get.
Available options:
Pending, Scheduled, In Progress, Post-processing, Finished, To review, Failed, Waiting, SMS Scheduled The start date to get.
Example:
"2024-01-01"
The end date to get.
Example:
"2024-01-01"
The date to get targets from the last call date.
Example:
"2024-01-01"
The date to get targets to the last call date.
Example:
"2024-01-01"